App\Library\Amazon\Classes\RidingApparel:
    xml_root_name: RidingApparel
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\RidingApparel\VariationDataAType
        clothingType:
            expose: true
            access_type: public_method
            serialized_name: ClothingType
            accessor:
                getter: getClothingType
                setter: setClothingType
            type: string
        department:
            expose: true
            access_type: public_method
            serialized_name: Department
            accessor:
                getter: getDepartment
                setter: setDepartment
            xml_list:
                inline: true
                entry_name: Department
            type: array<string>
        styleKeywords:
            expose: true
            access_type: public_method
            serialized_name: StyleKeywords
            accessor:
                getter: getStyleKeywords
                setter: setStyleKeywords
            xml_list:
                inline: true
                entry_name: StyleKeywords
            type: array<string>
        modelName:
            expose: true
            access_type: public_method
            serialized_name: ModelName
            accessor:
                getter: getModelName
                setter: setModelName
            type: string
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        modelNumber:
            expose: true
            access_type: public_method
            serialized_name: ModelNumber
            accessor:
                getter: getModelNumber
                setter: setModelNumber
            type: string
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        colorSpecification:
            expose: true
            access_type: public_method
            serialized_name: ColorSpecification
            accessor:
                getter: getColorSpecification
                setter: setColorSpecification
            type: App\Library\Amazon\Classes\RidingApparel\ColorSpecificationAType
        fabric:
            expose: true
            access_type: public_method
            serialized_name: Fabric
            accessor:
                getter: getFabric
                setter: setFabric
            xml_list:
                inline: true
                entry_name: Fabric
            type: array<string>
        material:
            expose: true
            access_type: public_method
            serialized_name: Material
            accessor:
                getter: getMaterial
                setter: setMaterial
            type: string
        innerMaterial:
            expose: true
            access_type: public_method
            serialized_name: InnerMaterial
            accessor:
                getter: getInnerMaterial
                setter: setInnerMaterial
            type: string
        outerMaterial:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterial
            accessor:
                getter: getOuterMaterial
                setter: setOuterMaterial
            type: string
        soleMaterial:
            expose: true
            access_type: public_method
            serialized_name: SoleMaterial
            accessor:
                getter: getSoleMaterial
                setter: setSoleMaterial
            type: string
        shoeClosureType:
            expose: true
            access_type: public_method
            serialized_name: ShoeClosureType
            accessor:
                getter: getShoeClosureType
                setter: setShoeClosureType
            type: string
        occasionAndLifestyle:
            expose: true
            access_type: public_method
            serialized_name: OccasionAndLifestyle
            accessor:
                getter: getOccasionAndLifestyle
                setter: setOccasionAndLifestyle
            xml_list:
                inline: true
                entry_name: OccasionAndLifestyle
            type: array<string>
        eventKeywords:
            expose: true
            access_type: public_method
            serialized_name: EventKeywords
            accessor:
                getter: getEventKeywords
                setter: setEventKeywords
            xml_list:
                inline: true
                entry_name: EventKeywords
            type: array<string>
        styleName:
            expose: true
            access_type: public_method
            serialized_name: StyleName
            accessor:
                getter: getStyleName
                setter: setStyleName
            type: string
        minimumHeightRecommended:
            expose: true
            access_type: public_method
            serialized_name: MinimumHeightRecommended
            accessor:
                getter: getMinimumHeightRecommended
                setter: setMinimumHeightRecommended
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumHeightRecommended:
            expose: true
            access_type: public_method
            serialized_name: MaximumHeightRecommended
            accessor:
                getter: getMaximumHeightRecommended
                setter: setMaximumHeightRecommended
            type: App\Library\Amazon\Classes\LengthDimensionType
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        size:
            expose: true
            access_type: public_method
            serialized_name: Size
            accessor:
                getter: getSize
                setter: setSize
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        specialSizeType:
            expose: true
            access_type: public_method
            serialized_name: SpecialSizeType
            accessor:
                getter: getSpecialSizeType
                setter: setSpecialSizeType
            xml_list:
                inline: true
                entry_name: SpecialSizeType
            type: array<string>
        waistSize:
            expose: true
            access_type: public_method
            serialized_name: WaistSize
            accessor:
                getter: getWaistSize
                setter: setWaistSize
            type: App\Library\Amazon\Classes\ClothingSizeDimensionType
        compatibleWithVehicleType:
            expose: true
            access_type: public_method
            serialized_name: CompatibleWithVehicleType
            accessor:
                getter: getCompatibleWithVehicleType
                setter: setCompatibleWithVehicleType
            xml_list:
                inline: true
                entry_name: CompatibleWithVehicleType
            type: array<string>
        inseamLength:
            expose: true
            access_type: public_method
            serialized_name: InseamLength
            accessor:
                getter: getInseamLength
                setter: setInseamLength
            type: App\Library\Amazon\Classes\ClothingSizeDimensionType
        sleeveLength:
            expose: true
            access_type: public_method
            serialized_name: SleeveLength
            accessor:
                getter: getSleeveLength
                setter: setSleeveLength
            type: App\Library\Amazon\Classes\ClothingSizeDimensionType
        neckSize:
            expose: true
            access_type: public_method
            serialized_name: NeckSize
            accessor:
                getter: getNeckSize
                setter: setNeckSize
            type: App\Library\Amazon\Classes\ClothingSizeDimensionType
        chestSize:
            expose: true
            access_type: public_method
            serialized_name: ChestSize
            accessor:
                getter: getChestSize
                setter: setChestSize
            type: App\Library\Amazon\Classes\ClothingSizeDimensionType
        cupSize:
            expose: true
            access_type: public_method
            serialized_name: CupSize
            accessor:
                getter: getCupSize
                setter: setCupSize
            type: string
        shoeWidth:
            expose: true
            access_type: public_method
            serialized_name: ShoeWidth
            accessor:
                getter: getShoeWidth
                setter: setShoeWidth
            type: string
        heelHeight:
            expose: true
            access_type: public_method
            serialized_name: HeelHeight
            accessor:
                getter: getHeelHeight
                setter: setHeelHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        heelType:
            expose: true
            access_type: public_method
            serialized_name: HeelType
            accessor:
                getter: getHeelType
                setter: setHeelType
            type: string
        shaftHeight:
            expose: true
            access_type: public_method
            serialized_name: ShaftHeight
            accessor:
                getter: getShaftHeight
                setter: setShaftHeight
            type: App\Library\Amazon\Classes\StringLengthOptionalDimensionType
        beltLength:
            expose: true
            access_type: public_method
            serialized_name: BeltLength
            accessor:
                getter: getBeltLength
                setter: setBeltLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        beltWidth:
            expose: true
            access_type: public_method
            serialized_name: BeltWidth
            accessor:
                getter: getBeltWidth
                setter: setBeltWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        manufacturerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerWarrantyDescription
            accessor:
                getter: getManufacturerWarrantyDescription
                setter: setManufacturerWarrantyDescription
            type: string
        legalComplianceCertificationRegulatoryOrganizationName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationRegulatoryOrganizationName
            accessor:
                getter: getLegalComplianceCertificationRegulatoryOrganizationName
                setter: setLegalComplianceCertificationRegulatoryOrganizationName
            type: string
        legalComplianceCertificationCertifyingAuthorityName:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationCertifyingAuthorityName
            accessor:
                getter: getLegalComplianceCertificationCertifyingAuthorityName
                setter: setLegalComplianceCertificationCertifyingAuthorityName
            type: string
        legalComplianceCertificationGeographicJurisdiction:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationGeographicJurisdiction
            accessor:
                getter: getLegalComplianceCertificationGeographicJurisdiction
                setter: setLegalComplianceCertificationGeographicJurisdiction
            type: string
        legalComplianceCertificationStatus:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationStatus
            accessor:
                getter: getLegalComplianceCertificationStatus
                setter: setLegalComplianceCertificationStatus
            type: string
        legalComplianceCertificationMetadata:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationMetadata
            accessor:
                getter: getLegalComplianceCertificationMetadata
                setter: setLegalComplianceCertificationMetadata
            type: string
        legalComplianceCertificationExpirationDate:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationExpirationDate
            accessor:
                getter: getLegalComplianceCertificationExpirationDate
                setter: setLegalComplianceCertificationExpirationDate
            type: string
        legalComplianceCertificationDateOfIssue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationDateOfIssue
            accessor:
                getter: getLegalComplianceCertificationDateOfIssue
                setter: setLegalComplianceCertificationDateOfIssue
            type: string
        legalComplianceCertificationValue:
            expose: true
            access_type: public_method
            serialized_name: LegalComplianceCertificationValue
            accessor:
                getter: getLegalComplianceCertificationValue
                setter: setLegalComplianceCertificationValue
            type: string
